**Purpose**:
This document will outline the general workflow of using Visual Studio Code to author and update custom containers and push them to a container registry hosted in Gitea.  This will be referencing the `git-repo-updater` project throughout.

!!! note "Assumptions"
    This document assumes you are authoring the containers in Microsoft Windows, and does not include the fine-tuning necessary to work in Linux or MacOS environments.  You are on your own if you want to author containers in Linux.

## Install Visual Studio Code
You can download Visual Studio Code from this [direct download link](https://code.visualstudio.com/docs/?dv=win64user).

## Configure Docker Extension
You will need to locate and install the `Dev Containers`, `Docker`, and `WSL` extensions in Visual Studio Code to move forward.  This may request that you install Docker Desktop onto your computer as part of the installation process.  Proceed to do so, then when the Docker "Engine" is running, you can proceed to the next step.

!!! warning
    You need to have Docker Desktop "Engine" running whenever working with containers, as it is necessary to build the images.  VSCode will complain if it is not running.

